<template>
  <div class="child">
    {{msg}}
    <button @click="increment">+</button>
    <button @click="decrease">-</button>
    {{changeType}}
    {{type}}
    {{$store.state.count}}
  </div>
</template>

<script>
import {mapState} from 'vuex';

export default {
  name: 'Child',
  data () {
    return {
      msg: 'Welcome Child',
      localNum:2
    }
  },
  computed:mapState({
    num:state=>state.num,
    type:'num',
    changeType(state){
      return '￥'+state.num
    }
  }),
  methods:{
    increment(){
      this.$store.commit('increment');
    },
    decrease(){
      this.$store.commit('decrease')
    },
  }
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>

</style>
